# DataExchange
TKIGES
IGESAppli

# IGESAppli_PinNumber Class Reference

defines PinNumber, Type <406> Form <8>
in package IGESAppli
Used to attach a text string representing a component
pin number to an entity being used to represent an
electrical component's pin

`#include <IGESAppli_PinNumber.hxx>`

Inheritance diagram for IGESAppli_PinNumber:

[legend]

## Public Member Functions

Standard_EXPORT | IGESAppli_PinNumber ()
Standard_EXPORT void | Init (const Standard_Integer nbPropVal, const Handle(TCollection_HAsciiString)&aValue)
| This method is used to set the fields of the class PinNumber - nbPropVal : Number of property values (always = 1) - aValue : Pin Number value .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values is always 1
Standard_EXPORT Handle_TCollection_HAsciiString | PinNumberVal () const
| returns the pin number value
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbPropertyValues
Handle_TCollection_HAsciiString | thePinNumber

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_PinNumber::IGESAppli_PinNumber | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESAppli_PinNumber::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESAppli_PinNumber::Init | ( | const Standard_Integer | nbPropVal,
|  | const Handle(TCollection_HAsciiString)& | aValue
| ) |

Standard_EXPORT Standard_Integer IGESAppli_PinNumber::NbPropertyValues | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString IGESAppli_PinNumber::PinNumberVal | ( |  | ) | const

## Field Documentation

Standard_Integer IGESAppli_PinNumber::theNbPropertyValues `[private]`

Handle_TCollection_HAsciiString IGESAppli_PinNumber::thePinNumber `[private]`

The documentation for this class was generated from the following file:

- IGESAppli_PinNumber.hxx